osp_connection Struct Reference

Struct holding options for OSP connection. More...

## Data Fields

gnutls_session_t | session
int | socket
char * | host
int | port

## Detailed Description

Struct holding options for OSP connection.

## Field Documentation

## host

char* osp_connection::host

Host.

## port

int osp_connection::port

Port.

## session

gnutls_session_t osp_connection::session

Pointer to GNUTLS Session.

## socket

int osp_connection::socket

Socket.

The documentation for this struct was generated from the following file:

- osp/osp.c